/*********************************************************************** 
* Programm:		UNO_Input1
* Autor:			Harald Rilling 
*	Plattform:	Arduino Uno
*
*	Datum:			25. November 2014
*
* HP:					www.rillingpower.de
*
*	Beschreibung:	Eingang auf Ausgang kopieren
*								
*
*
*
*
*
*
*
*
*
*
*
*
***********************************************************************/

#include <avr/io.h> 
#include <util/delay.h>  

// MCU name
#define MCU = atmega328p

// Konstanten
#define LED_Arduino	PB5


int main (void) { 
  
	DDRB |= 0xFF;									// PortB auf Ausgang
  DDRC |= 0x00;									// PortC auf Eingang
	

	while(1) {
		
		if (PINC & (1 << PINC5))
		{
			PORTB |= (1<<PORTB5);			// Copy Input to Output
		}
		else
		{
			PORTB &= ~(1<<PORTB5);		// Copy Input to Output
		}
		
		_delay_ms(19);							// function aus delay.c
	} 
		
	/* wird nie erreicht */
	return 0;
 
}